# Kubernetes::Object::ExtensionsV1beta1DeploymentStrategy

## Load the model package
```perl
use Kubernetes::Object::ExtensionsV1beta1DeploymentStrategy;
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**rolling_update** | [**ExtensionsV1beta1RollingUpdateDeployment**](ExtensionsV1beta1RollingUpdateDeployment.md) |  | [optional] 
**type** | **string** | Type of deployment. Can be \&quot;Recreate\&quot; or \&quot;RollingUpdate\&quot;. Default is RollingUpdate. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


